Subject: Re: [Adslmib] Vector of Profiles MIB

From: "[email-masked]" <[email-masked]>
Date: Tue, 10 Nov 2009 0:22:47 +1100

Hi Markus,

Ok, I have read TR-165 now and I get the idea of the proposal.

I am not yet convinced that the proposal is sufficiently
strong to justify yet another management model for xDSL lines.
I accept that Access Nodes MAY have a smaller storage requirement
using the VoP approach but in practice will the extra flexibility be used.

In my decade of NMS and Access Node experience I have found
that ISP's want uniformity, not diversity in their networks, so the
assumption that each xDSL line will have a unique configuration
is not something our customers have asked for.

The one case I can think of where this kind of diversity might
happen is where a single SNMP agent must control a large
number of line cards rather than having one SNMP agent per line card.

My opinion is that we should wait for some input from the guys
at Huwei and Alcatel and other big companies and see what they
say. If there is no interest from those guys then I would reccomend
that Deutsche Telekom implement an enterprise MIB that extends
RFC5650 and use that approach rather than creating a new management
model with possibly little extra benefit.

Regards,

Scott.

---- [email-masked] wrote: 
> Hello Scott,
> 
> First of all, I recommend to have a look at this paper: http://www.broadband-forum.org/technical/download/TR-165.pdf. It should answer a lot of your questions. 
> 
> Regarding your question 1)
> Yes because Broadband Forum's TR-165 requires this. It obsoletes the object model for DSL line configuration defined in the TR-129.
> 
> Regarding your question 2)
> Yes.
> 
> Regarding your question 3)
> I am not sure if I got your question. TR-165 structures the xDSL configuration parameters into profiles in a different way. A vector is defined which must not necessarily represent a template.
> It can be a template which summarizes a certain set of different profiles but it can also be a single DSL line with single profiles attached.
> It might be useful, if you read Appendex I in TR-165. There, the implementation of "direct attached profiles" vs. "indirect attached profiles" (which is similar to the templates in the VDSL2-LINE-MIB) is described. At the end, a potintial VoP MIB should contain the option to switch between both methods.
> 
> Regarding your question 4) and 5) and 7)
> I recommend to read the "Purpose ans Scope" Section of TR-165 on page 7.
> 
> Regarding your question 6)
> Yes
> 
> Regarding your question 8)
> The criteron should be that the VDSL2-LINE-MIB is based on the object model of TR-129, which now is obsoleted with TR-165.
> But please be aware that it is not a decision of using one MIB versus another. The new "VoP MIB" deals only with configuration parameters resp. profiles and must be linked together with the VDSL2-LINE-MIB. Most Parts of RFC 5650 like notifications, line status, inventory or PM are not touched by Vector of Profiles anyway.
> 
> Hope this helps.
> 
> Regards
> Markus
> 
> 
> -----Ursprüngliche Nachricht-----
> Von: [email-masked] [mailto:[email-masked]] 
> Gesendet: Montag, 9. November 2009 09:52
> An: Freudenberger, Markus
> Cc: [email-masked]; [email-masked]
> Betreff: Re: [Adslmib] Vector of Profiles MIB
> 
> Hi Menachem and Markus,
> 
> I think we should have a discussion first about the scope and purpose of the "Vector of Profiles MIB" proposal.
> 
> Can we please address some of the following issues :
> 
> 1. Would the new MIB cover all xDSL technologies like the
>     VDSL2 MIB does ?
> 2. Would the new MIB cover all the parameters defined in G.997.1 ?
> 3. Would the only difference between the VDSL2 MIB and the new
>     MIB be the way templates are represented ?
> 4. Can you state the things that the new MIB will have that the VDSL2
>     MIB does not have.
> 5. Can you state the things that the VDSL2 MIB has that the new
>     MIB does not have.
> 6. Is the new MIB intended for embedded use such as in DSLAMs
>     and xDSL line cards ?
> 7. Can you justify having two MIBs that do basically the same thing
>     but do it in a slightly different way ?
> 8. If you are a developer of xDSL equipment, what criterion would you
>     use to select one MIB or the other ?
> 
> 
> Regards,
> 
> Scott.
> 
> 
> ---- [email-masked] wrote: 
> > on behalf of Deutsche Telekom, I am interested on that item.
> >  
> > Thanks
> > Markus
> >  
> > ________________________________
> > 
> > Von: [email-masked] [mailto:[email-masked]] Im 
> > Auftrag von Menachem Dodge
> > Gesendet: Montag, 9. November 2009 09:22
> > An: Menachem Dodge; [email-masked]'
> > Betreff: Re: [Adslmib] Vector of Profiles MIB
> > 
> > 
> > 
> > Hello,
> > 
> >  
> > 
> > I haven't received any response to my email of last Monday. 
> > 
> >  
> > 
> > If anyone at all, has an interest in this item of work, please speak 
> > up now.
> > 
> >  
> > 
> > Best Regards,
> > 
> > Menachem Dodge
> > 
> >  
> > 
> > From: [email-masked] [mailto:[email-masked]] On 
> > Behalf Of Menachem Dodge
> > Sent: Monday, November 02, 2009 7:07 PM
> > To: [email-masked]'
> > Subject: Re: [Adslmib] Vector of Profiles MIB
> > 
> >  
> > 
> > Hello All,
> > 
> >  
> > 
> > In April this year, several emails were exchanged regarding 
> > development of a "Vector of Profile" MIB in accordance with the 
> > Broadband Forum
> > TR-165 Vector of Profiles document.
> > 
> > See the attached thread.
> > 
> >  
> > 
> > As this issue has been raised again, I would like to see if there is 
> > an interest amongst the members of the Working Group in this work.
> > 
> >  
> > 
> > Please share your thoughts on this issue.
> > 
> >  
> > 
> > Best Regards,
> > 
> > Menachem
> > 
>